#include <string>
#include "core/config/Configurable.h"
#include "OrxonoxPrereqs.h"
#include "util/Singleton.h"
// tolua_begin
namespace orxonox
{
class _OrxonoxExport Highscore 
// tolua_end
 : public Singleton<Highscore>, public Configurable
{ //tolua_export
    friend class Singleton<Highscore>;
    public:
        Highscore();              // Constructor
        void setConfigValues(); // Inherited function
        void storeHighscore(std::string player, std::string level, int points);
        // tolua_begin
		inline const std::string& getName() {
			return this->name_;
		}
        inline void test(){
            this->storeHighscore("test","t",1);
        }
        inline unsigned int getNumberOfHighscores()
                { return this->tests_.size(); }
            inline const std::string& getHighscore(unsigned int index)
                { return this->tests_[index]; }

        static Highscore& getInstance()
                { return Singleton<Highscore>::getInstance(); }

        // tolua_end 


    private:
        std::vector<std::string> tests_;
        std::string name_;
        float version_;
        static Highscore* singletonPtr_s;
}; //tolua_export


} //tolua_export